
Foreman - Bug #33177

After creating new host group or Http proxy, page doesn't redirect to main landing page.

07/29/2021 08:54 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1966942 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8724

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1966942

Description of problem:

After creating new Http proxy, page doesn't redirect to main landing page.

This happens for only first created proxy (from welcome page)

Version-Release number of selected component (if applicable):

- Foreman 2.5

How reproducible:

- Always

Steps to Reproduce:

1. Go to Infrastructure > HTTP Proxies > New HTTP Proxy

2. Add proxy Name and url

3. Click on submit

Actual results:

- Page doesn't redirect to main HTTP Proxy page

Expected results:

- Page redirects to main HTTP Proxy page and show all http proxies created.

Additional info:

Related issues:

Copied to Foreman - Bug #33637: After creating new host group from help page,... Closed

Associated revisions

Revision 03a6981c - 09/01/2021 07:06 AM - Tomer Brisker

Fixes #33177 - Don't store incorrect referrer for redirect

When the client side uses `history.push` to navigate to a page that is

not managed by react router, the router fallback will navigate to the

new page. However, the browser URL is updated before the actual

navigation, causing the `document.referrer` to point to the new URL

instead of the previous one. In these cases, we can't reliably know

where the user navigated from so we should clear the `redirect_to_url`

from the session storage and rely on the default fallback (which is

usually the respective index page).

History

#1 - 07/29/2021 08:55 AM - yifat makias

05/20/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1966942


- Subject changed from After creating new host group or Http proxy, page doesn't redirect to main landing page.

 to After creating new host group or Http proxy, page doesn't redirect to main landing page.

- Status changed from New to Assigned

- Assignee set to yifat makias

#2 - 08/19/2021 11:13 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8724 added

#3 - 08/19/2021 11:14 AM - Tomer Brisker

- Assignee changed from yifat makias to Tomer Brisker

#4 - 09/01/2021 07:06 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 09/01/2021 08:08 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|03a6981cd2ad36f6e689ab77bdd8f0a5b134d318.

#6 - 10/05/2021 01:15 PM - Tomer Brisker

- Copied to Bug #33637: After creating new host group from help page, page doesn't redirect to main landing page. added

#7 - 11/16/2021 11:06 AM - Amit Upadhye

- Category set to Web Interface
